package frc.robot.subsystems;

import edu.wpi.first.wpilibj.DigitalInput;
import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class IntakePivot extends SubsystemBase {
    private VictorSP pivotMotor;
    
    private DigitalInput topLimitSwitch;
    private DigitalInput bottomLimitSwitch;

    public IntakePivot() {
        pivotMotor = new VictorSP(0);

        topLimitSwitch = new DigitalInput(0);
        bottomLimitSwitch = new DigitalInput(0);
    }

    public Command intakeUp() {
        return run(() -> {
            if (topLimitSwitch.get()) {
                pivotMotor.set(0);
            } else {
                pivotMotor.set(0.5);
            }
        });
    }

    public Command intakeDown() {
        return run(() -> {
            if (bottomLimitSwitch.get()) {
                pivotMotor.set(0);
            } else {
                pivotMotor.set(-0.5);
            }
        });
    }
}